"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libview2' }"

LibraryDefinition subclass:#stx_libview2
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!

!stx_libview2 class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libview2.
    This library contains additional graphics-interfacing components and infrastructure.
"
!

extensionsVersion_CVS
    ^ '$Header: /cvs/stx/stx/libview2/stx_libview2.st,v 1.41 2009-11-06 19:31:37 cg Exp $'
!

extensionsVersion_SVN
    ^ 'Id:'
! !

!stx_libview2 class methodsFor:'description'!

excludedFromPreRequisites
    ^ #(
        #'stx:libhtml'    "HTMLDocumentView - referenced by ToolApplicationModel>>openHTMLDocument: "
        #'stx:libtool'    "AboutBox - referenced by ToolApplicationModel class>>openAboutSTX "
        #'stx:libtool2'    "ResourceSelectionBrowser - referenced by ResourceSpecEditor>>doLoad "
        #'stx:libui'    "CompositeSpec - referenced by UIBuilder>>newComposite "
        #'stx:libwidg'    "PopUpMenu - referenced by Menu>>asOldStylePopUpMenuFor: "
        #'stx:libwidg2'    "MenuPanel - referenced by Menu>>showCenteredIn: "
        #'stx:libcompat'    "TextAttributes - referenced by WindowBuilder>>resolveFont: "
        #'stx:goodies/webServer'    "HTTPServer - referenced by ApplicationModel class>>startAsWebService:onPort: "
    )
!

preRequisites
    ^ #(
        #'stx:libbasic'    "Object - superclass of AlignmentOrigin "
        #'stx:libbasic2'    "PrinterStream - superclass of WinPrinterStream "
        #'stx:libview'    "SimpleView - superclass of ApplicationWindow "
    )
! !

!stx_libview2 class methodsFor:'description - compilation'!

additionalBaseAddressDefinition_bc_dot_mak
    "this is an optional definition, which (if present) may speed up the dll-loading a little
     on win32 systems."

    ^ '
# see stdHeader_bc for LIBVIEW2_BASE
LIB_BASE=$(LIBVIEW2_BASE)
'
!

additionalDefinitions_bc_dot_mak
    ^ '
LIBJPEG_DIR=$(TOP)\support\libjpeg-6a
LIBJPEG=$(LIBJPEG_DIR)\libjpeg.lib
CLOCAL_INCL=-I"$(LIBJPEG_DIR)"
'

    "Created: / 22-08-2006 / 23:58:05 / cg"
!

additionalDefinitions_make_dot_proto
    ^ '
NT_ADDITIONAL_DEFS::
        @-echo "LIBJPEG_DIR=$$(TOP)\\support\\libjpeg-6a"
        @-echo "LIBJPEG=$$(LIBJPEG_DIR)\libjpeg.lib"
        @-echo "CLOCAL_INCL=-I$$(LIBJPEG_DIR)"
        @-echo "LOCALLIBS=$$(LIBJPEG)"

NT_ADDITIONAL_RULES::
        @-echo "ALL:: $$(LIBJPEG)"
        @-echo
        @-echo "$$(LIBJPEG):
        @-echo "#cd $$(LIBJPEG_DIR)" | tr "#" "\\011"
        @-echo "#make.exe -f makefile.bcc32" | tr "#" "\\011"
        @-echo "#cd $$(TOP)\libview2" | tr ''#'' "\\011"
'

    "Created: / 22-08-2006 / 23:50:57 / cg"
!

additionalLinkLibraries_bc_dot_mak
    ^ '$(LIBJPEG)'
!

additionalRules_bc_dot_mak
    ^ '
$(LIBJPEG):
        cd $(LIBJPEG_DIR)
        bmake
        cd ..\..\libview2

$(OUTDIR)JPEGReader.$(O):: $(LIBJPEG_DIR)\jconfig.h

$(LIBJPEG_DIR)\jconfig.h: $(LIBJPEG)
'

    "Created: / 22-08-2006 / 23:58:29 / cg"
!

additionalRules_make_dot_proto
    ^ '
#
# prelink JPEGReader.o with libjpeg
#
JPEGReader: $(LIBJPEG)
        @$(MAKE) JPEGReader.$(O) \
                CC="$(LIBJPEG_CC)" \
                OPT="$(LIBJPEG_OPT)" \
                LOCALDEFS="-I$(LIBJPEG_DIR)" \
                LIBNAME="$(LIBNAME)" \
                STCOPT="$(STCOPT)" \
                STCLOCALOPT="$(STCLOCALOPT)" \
                CCLOCALOPT="$(CCLOCALOPT)" \
                LINKOBJRULE="$(LINKOBJRULE)"
        @if [ "$(NO_PRELINK_LIBJPEG)" = "" ]; then \
            mv JPEGReader.$(O) __JPEGReader.$(O); \
            echo; \
            echo "prelinking JPEGReader with libjpg ..."; \
            echo; \
            echo ld $(LD_REL_FLAG) -o JPEGReader.$(O) __JPEGReader.$(O) $(LIBJPEG); \
            ld $(LD_REL_FLAG) -o JPEGReader.$(O) __JPEGReader.$(O) $(LIBJPEG); \
            rm -f __JPEGReader.$(O); \
            echo; \
        fi

$(LIBJPEG)::
        @-echo
        @-echo "making libjpg support library ..."
        @-echo
        -(cd $(LIBJPEG_DIR) ; $(MAKE) libjpeg.a CC="$(LIBJPEG_CC)" OPT="$(LIBJPEG_OPT)" CFLAGS="$(LIBJPEG_OPT) $(CCCONFOPT)")
        @-echo

Makefiles::
        -( cd $(LIBJPEG_DIR) ; configure )

additionalMakefiles::
        -( cd $(LIBJPEG_DIR) ; configure ) 
'

    "Created: / 22-08-2006 / 23:58:51 / cg"
!

additionalTargets_bc_dot_mak
    "additional targets to be added to the nt.mak file."

    ^ '$(LIBJPEG)'

    "Created: / 23-08-2006 / 00:01:19 / cg"
!

additionalTargets_make_dot_proto
    "additional targets to be added to the make.proto file."

    ^ 'JPEGReader'

    "Created: / 22-08-2006 / 23:54:37 / cg"
!

stcOptimizationOptions
    ^ '+optspace2 -warnNonStandard'

    "Created: / 23-08-2006 / 11:27:11 / cg"
! !

!stx_libview2 class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        (AVIReader autoload)
        ActiveHelpView
        (ApplicationController autoload)
        ApplicationSubView
        ApplicationWindow
        (BlitImageReader autoload)
        (BorderedWrapper autoload)
        (BoundedWrapper autoload)
        ColorValue
        (CompositePart autoload)
        (CompositeTransform autoload)
        (ConvertedValue autoload)
        (DependentPart autoload)
        DisplayObject
        (DisplayTransform autoload)
        DragAndDropManager
        DragHandler
        DropContext
        DropObject
        DropSource
        DropTarget
        EventListener
        ExternalTopView
        (FLIReader autoload)
        (FaceReader autoload)
        (StrokingOrFillingWrapper autoload)
        (FillingWrapper autoload)
        GIFReader
        (GeometricWrapper autoload)
        (HersheyFont autoload)
        Icon
        (ImageFrame autoload)
        (ImageSequence autoload)
        InputView
        (Insets autoload)
        (IrisRGBReader autoload)
        JPEGReader
        KeyboardProcessor
        Layout
        (LayoutWrapper autoload)
        MIMETypeIconLibrary
        MIMETypes
        (MatrixTransform2x3 autoload)
        Menu
        MenuItem
        Model
        MultiImage
        (PBMReader autoload)
        (PCXReader autoload)
        (PICTReader autoload)
        (PluggableView autoload)
        PopUpBanner
        PrintConverter
        PrinterContext
        PropertyListDictionary
        (RIFFReader autoload)
        ResourceRetriever
        (ST80FormReader autoload)
        (ScreenLock autoload)
        StandardSystemController
        (StrokingWrapper autoload)
        (SunRasterReader autoload)
        TIFFReader
        PNGReader
        (TargaReader autoload)
        (TranslatingWrapper autoload)
        TransparentBox
        (ViewForwardingController autoload)
        VisualComponent
        VisualRegion
        WindowBuilder
        WindowsIconReader
        (Wrapper autoload)
        XBMReader
        XPMReader
        (XWDReader autoload)
        #'stx_libview2'
        ActiveHelp
        ApplicationModel
        LayoutOrigin
        Plug
        UIBuilder
        ValueModel
        VisualPart
        AlignmentOrigin
        BlockValue
        FlyByHelp
        IndirectValue
        LayoutFrame
        PluggableAdaptor
        ProtocolAdaptor
        SimpleDialog
        ToolApplicationModel
        ValueHolder
        AspectAdaptor
        BufferedValueHolder
        DictionaryAdaptor
        RangeAdaptor
        ResourceSpecEditor
        TriggerValue
        TypeConverter
        ValueHolderWithWeakDependents
        (WinPrinterStream win32)
        (WinPrinterContext win32)
        BooleanValueHolder
        BooleanBlockValue
        DrawAdaptor
    )
!

extensionMethodNames
    ^ #(
        CharacterArray asMimeType
    )
! !

!stx_libview2 class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Additional Graphic Interfacing'
!

legalCopyright
    "Return copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2009\nCopyright eXept Software AG 1998-2009'

    "Modified: / 08-11-2007 / 16:59:12 / cg"
! !

!stx_libview2 class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libview2/stx_libview2.st,v 1.41 2009-11-06 19:31:37 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libview2/stx_libview2.st,v 1.41 2009-11-06 19:31:37 cg Exp $'
! !
